<?php
require_once '../../../datab.php';
$res = [];

// Query to fetch all inventory data along with the corresponding tablet names
$sql = mysqli_query($conn, "SELECT iw.*, td.tablet_name FROM inventory_ward iw
                            JOIN tablet_data td ON iw.medicine_id = td.id");

if ($sql) {
    $data = [];
    while ($row = mysqli_fetch_assoc($sql)) {
        $data[] = $row;
    }
    $res = ['status' => 'Success', 'data' => $data];
} else {
    $res = ['status' => 'Error', 'message' => 'Failed to fetch medicine data'];
}

echo json_encode($res);
?>
